geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jarek Gawor" <jga...@gmail.com>
Subject JAXB upgrade?
Date Tue, 27 Feb 2007 18:25:01 GMT
I'm wondering how people feel about upgrading to JAXB 2.1. JAXB is one
of those libraries that any application gets an automatic dependency
on, and multiple components use it. So upgrading it might be a little
iffy but 2.0-generated beans/code should work fine with 2.1. I tested
a simple ejb and a web service with Geronimo built with JAXB 2.1 and
things appeared to work fine.
I'm asking this because one of the project that Geronimo is using
(CXF) is now using that new version of JAXB. So we can either upgrade
Geronimo or I can ask CXF folks to downgrade :)

Thanks,
Jarek

Mime
View raw message